List credentials - Barndoor Documentation

Documentation Index

Fetch the complete documentation index at: /llms.txt

Use this file to discover all available pages before exploring further.

List credentials

cURL

curl --request GET \
  --url https://app.barndoor.ai/api/llm-gateway/admin/connections \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://app.barndoor.ai/api/llm-gateway/admin/connections"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://app.barndoor.ai/api/llm-gateway/admin/connections', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
<?php

$curl = curl_init();

curl_setopt_array($curl, [
  CURLOPT_URL => "https://app.barndoor.ai/api/llm-gateway/admin/connections",
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => "",
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 30,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => "GET",
  CURLOPT_HTTPHEADER => [
    "Authorization: Bearer <token>"
  ],
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
  echo "cURL Error #:" . $err;
} else {
  echo $response;
}
package main

import (
    "fmt"
    "net/http"
    "io"
)

func main() {

url := "https://app.barndoor.ai/api/llm-gateway/admin/connections"

req, _ := http.NewRequest("GET", url, nil)

req.Header.Add("Authorization", "Bearer <token>")

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close()
    body, _ := io.ReadAll(res.Body)

fmt.Println(string(body))
}
HttpResponse<String> response = Unirest.get("https://app.barndoor.ai/api/llm-gateway/admin/connections")
  .header("Authorization", "Bearer <token>")
  .asString();
require 'uri'
require 'net/http'

url = URI("https://app.barndoor.ai/api/llm-gateway/admin/connections")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body

Response Code Examples

[
  {
    "id": "4f8b2a3c-12ee-4d92-9c7b-e7d2f8b0a111",
    "org_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "name": "OpenAI Production",
    "model_provider": "openai",
    "auth_type": "api_key",
    "base_url": "https://api.openai.com/v1",
    "settings": {
      "region": "us-east-1",
      "model_api_family": "anthropic_messages"
    },
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z"
  }
]
{
  "error": "BadRequest",
  "message": "request_timeout_secs must be between 1 and 3600"
}
{
  "error": "BadRequest",
  "message": "request_timeout_secs must be between 1 and 3600"
}

Authorizations

Response

Response Items